## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:       libtbox
Version:    1.7.7

%global forgeurl https://github.com/tboox/tbox

%forgemeta

Release:    %autorelease
Summary:    Portable toolbox library with great cross-platform support

# Library and 3rd-party modules licensing:
# * tbox - Apache-2.0 -- Main tarball;
# * src/tbox/platform/arch/*/context.{S,asm} - BSL-1.0 -- static dependency;
# * src/tbox/hash/adler32.c -- Zlib -- static dependency.
License:    Apache-2.0 AND BSL-1.0 AND Zlib
URL:        https://tboox.org
Source:     %{forgesource}

Patch0:     0001-build-fix-DESTDIR-add-relwithdebinfo.patch

BuildRequires:  bash
BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  gcc-c++

%description
A feature-packed, embedded friendly toolbox library.
Think of stdlib for embedded systems or Boost for C.
Provides stream, coroutine, regex, container, algorithm and more modules.

%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains headers and development files for %{name}.

%prep
%forgeautosetup -p1
cat > %{name}.pc << EOF
prefix=%{_prefix}
exec_prefix=${prefix}
libdir=%{_libdir}
includedir=%{_includedir}

Name: %{name}
Description: %{summary}
Version: %{version}
Libs: -ltbox
EOF

chmod -x *.md

%build
%configure \
  --kind=shared \
  --mode=relwithdebinfo \
  --hash=yes \
  --charset=yes \
  --float=yes \
  --force_utf8=yes
%make_build

%install
%make_install
rm %{buildroot}%{_bindir}/demo

install -Dm644 %{name}.pc %{buildroot}%{_libdir}/pkgconfig/%{name}.pc

%check
%make_build run

%files
%doc README.md README_zh.md CHANGELOG.md
%license LICENSE.md NOTICE.md
%{_libdir}/%{name}.so.1*

%files devel
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/tbox/

%changelog
## START: Generated by rpmautospec
* Thu Jul 24 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Mon Jun 16 2025 topazus <topazus@outlook.com> - 1.7.7-1
- 1.7.7

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Sep 14 2024 Zephyr Lykos <git@mochaa.ws> - 1.7.6-1
- Update to 1.7.6

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Nov 17 2023 Zephyr Lykos <git@mochaa.ws> - 1.7.5-1
- Initial packaging (fedora#2249637)
## END: Generated by rpmautospec
